Increase the tap areas for save buttons
Closed, ResolvedPublic1 Story Points

Description

Some of the buttons are already fixed.

After talking to Josh, it looks like the major remaining problems are with "Save". This ticket is now scoped to the following tasks:

  1. Make the tap target of the save button in the tool bar bigger on the article. (by converting to a standard UIBarButtonItem)
  2. Add the text next to the save button on the home screen to make the tap target bigger.

Ticket is estimated for these tasks.


Tap areas for a lot of buttons is restricted to the bounding box of the icon. it should be bigger. at least 44x44 for regular icon buttons

list of buttons that need to be fixed

  • Search on right top
  • close search (IMP)
  • save , toc on article actions

Nirzar created this task.Oct 24 2015, 8:01 PM
Nirzar updated the task description. (Show Details)
Nirzar raised the priority of this task from to Needs Triage.
Nirzar set Security to None.
Nirzar added subscribers: Mhurd, BGerstle-WMF, Aklapper and 4 others.
JMinor triaged this task as High priority.Oct 26 2015, 6:28 PM
JMinor added a project: iOS-app-v5-beta.
BGerstle-WMF added a comment.EditedOct 26 2015, 10:04 PM

FYI search close button should be fixed: T115502

Also, in some cases, the bounding boxes you see aren't what is used to determine touch area. I'm pretty sure Apple handles touch areas for things like the back button to ensure it's big enough. This might also be the case for other nav/toolbar items (i.e. search, article actions, etc.). Personally, I haven't had trouble tapping them.

@BGerstle-WMF that's true. this is not exact representation. I mainly had a trouble with close, save and toc. maybe share and refresh are native buttons that's why better responsiveness?

Nirzar updated the task description. (Show Details)Oct 26 2015, 10:09 PM
BGerstle-WMF added a comment.EditedOct 26 2015, 10:13 PM

@Nirzar RE: TOC, is there a chance you were tapping on it before the article loaded? It's possible we couldn't show the ToC because the data wasn't ready. I implemented something recently that will show it as disabled until we have data, which might mitigate some of this problem.

RE: "native buttons," there's a small chance that "system" buttons (i.e. share/refresh) have some underlying special sauce that Apple uses to make them hit well. However, this shouldn't be a problem as I'm sure Apple would use the same thing for developer-configured buttons to make everything Just Work™.

Nirzar added a comment.EditedOct 26 2015, 10:19 PM

@BGerstle-WMF Yeah i mean, everything is native and should work out of the box. but we have an animation on the tap, maybe that is messing up with the responsiveness? but increasing tap area is always a good thing i guess.

I just tried hitting toc multiple times, it works 1 in 1.5 times
and save worked 1 in 2.5 to 3 times.
save definitely needs bigger tap target.

share works flawlessly. so in order of responsiveness --- share > toc > search > save > close

maybe your fingers need fixing! :-P

I want to make sure that some things aren;t getting conflated here. From the sounds of it, It seems like some buttons are working poorly and may be affecting the perception of other buttons.

Save is actually custom all the way through, so it makes sense that it doesn't work well since it doesn't have all the apple provided help.

As @BGerstle-WMF mentioned the ToC, Search, and Share are all either iOS provided toolbar buttons OR standard iOS toolbar buttons with a custom image. All of these have their touch areas expanded and optimized by the OS. How to actually "improve" their responsiveness is actually unclear. I wouldn't know what to try without some research. (My first guess would be making it like the save button and go from there, but thats already our "worst" button!)

My recommendation here is to fix the save button first and go from there.

Fjalapeno updated the task description. (Show Details)Oct 27 2015, 4:48 PM
Fjalapeno edited a custom field.

@Fjalapeno @BGerstle-WMF @Nirzar

Agree that that a good distinction to make for this request. Personally, I've found Save and "X" hard to tap, but everything else seems normal to me. So, yeah, lets improve our custom elements where there is room, and leave any iOS provided buttons or touch areas as is.

Our lack of feedback on touch may be exacerbating this, since often you have succeeded in touching the button but there is no visible state change. Seperate issue though...

@JMinor I think you are right. I would also say X and save needs fixing. rest are not that bad.

Fjalapeno renamed this task from Increase the tap areas for buttons to Increase the tap areas for save buttons.Oct 27 2015, 6:56 PM
Fjalapeno updated the task description. (Show Details)

Checked with 5.0.0.454 on iPhone 5 iOS 9.02.

Search on right top
close search (IMP)
save , toc on article actions

All these have improved responsiveness significantly. 'Save' to save an article for offline reading is especially easy now to use since it has a clickable label along with the icon.

JMinor closed this task as Resolved.Nov 18 2015, 8:35 PM